## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

# header-only package
%global debug_package %{nil}

%global project concurrentqueue

Name:           moodycamel-%{project}
Version:        1.0.4
Release:        %autorelease
Summary:        An industrial-strength lock-free queue for C++

# main software is dual BSD-2-Clause or BSL-1.0
# lightweightesmaphore.h is Zlib
# tests:
# - we don't include CDSChecker
# - Relacy is BSD-3-Clause (used only in tests)
# ^ not currently running those two but probably not worth stripping out
License:        (BSD-2-Clause OR BSL-1.0) AND BSD-3-Clause AND Zlib
URL:            https://github.com/cameron314/%{project}
Source:         %{url}/archive//v%{version}/%{name}-%{version}.tar.gz
# install to %%{_datadir}/cmake not %%{_libdir}/cmake
Patch:          %{project}-install-noarch-to-share.diff

BuildRequires:  cmake
BuildRequires:  gcc-c++

%global _description %{expand:
An industrial-strength lock-free queue for C++.

Features:
- Knock-your-socks-off blazing fast performance
- Single-header implementation. Just drop it in your project
- Fully thread-safe lock-free queue. Use concurrently from any number of threads
- C++11 implementation -- elements are moved (instead of copied) where possible
- Templated, obviating the need to deal exclusively with pointers -- memory is
  managed for you
- No artificial limitations on element types or maximum count
- Memory can be allocated once up-front, or dynamically as needed
- Fully portable (no assembly; all is done through standard C++11 primitives)
- Supports super-fast bulk operations
- Includes a low-overhead blocking version (BlockingConcurrentQueue)
- Exception safe}

%description    %{_description}


%package        devel
Summary:        Development files for %{name}
License:        (BSD-2-Clause OR BSL-1.0) AND Zlib
# this is noarch, but we want to force tests to run on all platforms
BuildArch:      noarch
Requires:       cmake-filesystem

%description    devel %{_description}

The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{project}-%{version}
# fix wrong-file-end-of-line-encoding
touch -r README.md README.md.tstamp
sed -i 's/\r$//' README.md
touch -r README.md.tstamp README.md


%build
%cmake


%install
%cmake_install


%if %{with check}
%check
%make_build -C tests/unittests
./build/bin/unittests --disable-prompt
%endif


%files devel
%license LICENSE.md
%doc README.md
%{_includedir}/%{project}/
%{_datadir}/cmake/concurrentqueue


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Miroslav Suchý <msuchy@redhat.com> - 1.0.4-2
- Correct SPDX license formula

* Wed Jan 03 2024 Michel Lind <salimma@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4
- Use SPDX license identifiers
- Fix wrong-file-end-of-line-encoding in README.md

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.3-1
- Initial Fedora package
## END: Generated by rpmautospec
